<template>
  <div>
    <div class="px-6 py-4">
      <h2 class="font-bold text-xl mb-2">
        {{ astre.name }}
      </h2>
    </div>
    <svg v-if="!favoriteList.includes(astre)" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24"
      stroke="currentColor" class="h-6 w-6" @click="AddFavorite(astre)">
      <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
        d="M4.318 6.318a4.5 4.5 0 000 6.364L12 20.364l7.682-7.682a4.5 4.5 0 00-6.364-6.364L12 7.636l-1.318-1.318a4.5 4.5 0 00-6.364 0z" />
    </svg>
    <svg v-else-if="favoriteList.includes(astre)" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"
      fill="currentColor" class="h-6 w-6" @click="RemoveFavorite(astre)">
      <path fill-rule="evenodd"
        d="M3.172 5.172a4 4 0 015.656 0L10 6.343l1.172-1.171a4 4 0 115.656 5.656L10 17.657l-6.828-6.829a4 4 0 010-5.656z"
        clip-rule="evenodd" />
    </svg>
    <NuxtLink
      class="mr-5 bg-gray-200 hover:bg-gray-300 border border-gray-400 text-black font-bold py-2 px-6 rounded-md"
      :to="`/astre/${astre.id}`">
      Show in detail
    </NuxtLink>
    <h2 v-if="astre.moons != null" class="font-bold text-xl mb-2">
      List moon :
    </h2>
    <div v-for="moons in astre.moons" :key="moons.moon">
      <NuxtLink :to="`/astre/${moons.moon.toLowerCase()}`">
        {{ moons.moon }}
      </NuxtLink>
    </div>
  </div>
</template>
<script>
export default {
  methods: {
      async AddFavorite (astre) {
      await this.$store.commit('favorite/addFavorite', astre)
      this.favoriteList = this.$store.state.favorite.favoriteList
      this.$toast.success('Add to favorite').goAway(1500)
    },
    async RemoveFavorite (astre) {
      await this.$store.commit('favorite/removeFavorite', astre)
      this.favoriteList = this.$store.state.favorite.favoriteList
      this.$toast.success('Remove to favorite').goAway(1500)
    },
  },
  data () {
    return {
      favoriteList: []
    }
  },
  props: [
    'astre'
  ]   
}
</script>
